Bug 1290429 - Packstack does not correctly configure Nova notifications for Neutron in Mitaka-1
Packstack does not correctly configure Nova notifications for Neutron in Mita...
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Javier Peña
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 08:47 EST by Javier Peña
Modified: 2016-05-19 11:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:41:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 255881 None None None Never

  None (edit)
Description Javier Peña 2015-12-10 08:47:50 EST
Description of problem:
After a test installation of Mitaka-1 packages using Packstack, new instances cannot be spawned. The error message in /var/log/neutron/server.log is:

2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova [-] Failed to notify nova on events: [{'status': 'completed', 'tag': u'8bd644ed-6bbc-43c1-879b-ac24026d43c7', 'name': 'network-vif-plugged', 'server_uuid': u'0f7c1a42-b53b-4105-afed-c4af31504084'}]
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova Traceback (most recent call last):
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova   File "/usr/lib/python2.7/site-packages/neutron/notifiers/nova.py", line 208, in send_events
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova     batched_events)
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova   File "/usr/lib/python2.7/site-packages/novaclient/v2/contrib/server_external_events.py", line 39, in create
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova     return_raw=True)
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova   File "/usr/lib/python2.7/site-packages/novaclient/base.py", line 175, in _create
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova     _resp, body = self.api.client.post(url, body=body)
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova   File "/usr/lib/python2.7/site-packages/keystoneclient/adapter.py", line 176, in post
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova     return self.request(url, 'POST', **kwargs)
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova   File "/usr/lib/python2.7/site-packages/novaclient/client.py", line 89, in request
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova     **kwargs)
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova   File "/usr/lib/python2.7/site-packages/keystoneclient/adapter.py", line 206, in request
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova     resp = super(LegacyJsonAdapter, self).request(*args, **kwargs)
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova   File "/usr/lib/python2.7/site-packages/keystoneclient/adapter.py", line 95, in request
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova     return self.session.request(url, method, **kwargs)
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova   File "/usr/lib/python2.7/site-packages/keystoneauth1/_utils.py", line 180, in inner
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova     return func(*args, **kwargs)
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova   File "/usr/lib/python2.7/site-packages/keystoneauth1/session.py", line 352, in request
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova     base_url = self.get_endpoint(auth, **endpoint_filter)
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova   File "/usr/lib/python2.7/site-packages/keystoneauth1/session.py", line 621, in get_endpoint
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova     auth = self._auth_required(auth, 'determine endpoint URL')
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova   File "/usr/lib/python2.7/site-packages/keystoneauth1/session.py", line 565, in _auth_required
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova     raise exceptions.MissingAuthPlugin(msg_fmt % msg)
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova MissingAuthPlugin: An auth plugin is required to determine endpoint URL
2015-12-10 14:05:47.814 25469 ERROR neutron.notifiers.nova

Packstack was using the deprecated nova_admin_* options, which have apparently been removed in Mitaka. The new options need to be placed in the [nova] section of neutron.conf, and there is already support in puppet-neutron for that.

Version-Release number of selected component (if applicable):
openstack-packstack-7.0.0-dev1693.g5338d48.el7.centos.noarch
Comment 1 Javier Peña 2015-12-10 08:53:18 EST
Proposed https://review.openstack.org/255881 with a fix.
Comment 2 Mike McCune 2016-03-28 18:48:26 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Chandan Kumar 2016-05-19 11:41:04 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.